Index: /trunk/src/Rlibs_3.6.1.txt
===================================================================
--- /trunk/src/Rlibs_3.6.1.txt	(revision 617)
+++ /trunk/src/Rlibs_3.6.1.txt	(revision 618)
@@ -1,28 +1,34 @@
+ars=0.8
+checkmate=2.3.4
+cli=3.6.5
+coda=0.19-4.1
+dlm=1.1-6.1
+dotCall64=1.1-1
+far=0.6-7
+fields=16.3.1
+flexclust=1.5.0
+GenSA=1.1.14.1
+gmm=1.9-1
+HI=0.5
+invgamma=1.2
+lattice=0.20-45
+lhs=1.2.1
+loo=2.2.0
+maps=3.4.3
+MASS=7.3-58.3
+Matrix=1.5-0
+mco=1.17
+MfUSampler=1.1.0
+mvtnorm=1.3-6
+ncdf4=1.24
+oldr=0.1.0
+pracma=2.4.6
 Rcpp=1.1.1
-lattice=0.20.45
-Matrix=1.5.0
-invgamma=1.2
-GenSA=1.1.14.1
-far=0.6.7
-dotCall64=1.1.1
-fields=16.3.1
-lhs=1.2.1
-maps=3.4.3
-mco=1.17
-ncdf4=1.24
+reticulate=1.16
 shape=1.4.6.1
+spam=2.5-1
 tensor=1.5.1
+tensorA=0.36.2.1
+tictoc=1.2.1
+tmvtnorm=1.7
 withr=3.0.2
-loo=2.2.0
-MASS=7.3.58.3
-pracma=2.4.6
-mvtnorm=1.3.6
-flexclust=1.5.0
-tmvtnorm=1.7
-tictoc=1.2.1
-ars=0.8
-HI=0.5
-coda=0.19.4.1
-MfUSampler=1.1.0
-reticulate=1.42.0
-spam=2.5-1
Index: /trunk/src/write_new_Rlibs.sh
===================================================================
--- /trunk/src/write_new_Rlibs.sh	(revision 618)
+++ /trunk/src/write_new_Rlibs.sh	(revision 618)
@@ -0,0 +1,15 @@
+# Small lines to write a Rlibs_$RVersion.txt from a renv_$RVersion directory to fix the version of all R libraries
+# take the Rversion in arg
+# MCD 9 avril 2026
+Rversion=$1
+ 
+HERE=`pwd`
+echo Rversion = $Rversion
+Rdir=../../install_shared/renv_${Rversion}/
+name_out=${HERE}/Rlibs_${Rversion}.txt
+
+if [ -f $name_out ] ; then echo "le fichier $name_out existe déjà" ; exit 1; fi
+ 
+cd $Rdir
+
+for dir in `ls -d */` ; do lib=`echo $dir | sed -e "s#/##"` ; res=`cat $lib/DESCRIPTION | grep -i "version: "` ; numv=`echo $res | sed -e "s/Version: //"` ; echo ${lib}=${numv} >> $name_out ; done
